import { fetch, post } from '@api/api';

/**
 * 查询角色
 * @param params 请求参数
 * @param headers 请求头
 */
export function queryRolePage(params = {}, headers = {}) {
  return fetch({
    url: '/upms/role/page',
    params: params,
    headers: headers
  });
}

/**
 * 新增角色
 * @param params 请求参数
 * @param headers 请求头
 */
export function createRole(params = {}, headers = {}) {
  return post({
    url: '/upms/role/create',
    params: params,
    headers: headers
  });
}

/**
 * 更新角色
 * @param params 请求参数
 * @param headers 请求头
 */
export function updateRole(params = {}, headers = {}) {
  return post({
    url: '/upms/role/update',
    params: params,
    headers: headers
  });
}

/**
 * 删除角色
 * @param params 请求参数
 * @param headers 请求头
 */
export function removeRole(params = {}, headers = {}) {
  return post({
    url: '/upms/role/remove',
    params: params,
    headers: headers
  });
}

/**
 * 查询角色列表
 * @param params 请求参数
 * @param headers 请求头
 */
export function queryRoleList(params = {}, headers = {}) {
  return fetch({
    url: '/upms/role/list',
    params: params,
    headers: headers
  });
}

/**
 * 查询菜单树数据
 * @param params 请求参数
 * @param headers 请求头
 */
export function loadTree(params = {}, headers = {}) {
  return fetch({
    url: '/upms/role/menu/tree',
    params: params,
    headers: headers
  });
}

/**
 * 查询菜单树已选择的子节点
 * @param params 请求参数
 * @param headers 请求头
 */
export function loadTreeSelected(params = {}, headers = {}) {
  return fetch({
    url: '/upms/role/menu/tree/selected',
    params: params,
    headers: headers
  });
}
/**
 * 新增资源授权
 * @param params 请求参数
 * @param headers 请求头
 */
export function createAuthMenu(params = {}, headers = {}) {
  return post({
    url: '/upms/role/auth/create',
    params: params,
    headers: headers
  });
}

/**
 * 删除资源授权
 * @param params 请求参数
 * @param headers 请求头
 */
export function createPermission(params = {}, headers = {}) {
  return post({
    url: '/upms/role/permission/create',
    params: params,
    headers: headers
  });
}
